Subject: bug#22343: 25.0.50; Incorrect rounding (?) when loading the Emacs.background attribute from Xresources

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 02 Dec 2021 10:03:15 +0100

Clément Pit--Claudel <[email-masked]> writes:

> This is a cute bug. Run the following two commands (in bash):
>
> # Set Emacs.background in Xresources
> $ xrdb <(echo "Emacs.background: #2e3436")
> # Run Emacs with same background on default face
> $ emacs -q --eval "(set-face-attribute 'default nil :background \"#2e3436\")"
>
> On my machine, the two colors are not rendered the same. I've attached
> a screenshot. What essentially happens is that anywhere where text is
> drawn the background is indeed #2e3436, but on the rest of the frame
> it's #2d3335.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm unable to reproduce this in Emacs 28 on Debian/bookworm.  Are you
still seeing this issue in more recent versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no